aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--tests/atlocal.in1
-rwxr-xr-xtests/utimensat-3.sh11
2 files changed, 12 insertions, 0 deletions
diff --git a/tests/atlocal.in b/tests/atlocal.in
index b9a631b..91b41b2 100644
--- a/tests/atlocal.in
+++ b/tests/atlocal.in
@@ -2,6 +2,7 @@
export abs_top_srcdir abs_top_builddir abs_srcdir abs_builddir
export AWK="@AWK@"
+export HOST="@host@"
if ! ${at_clean} ; then
export SB_UID=$(./get-user)
diff --git a/tests/utimensat-3.sh b/tests/utimensat-3.sh
index 4ecd4b3..a7b9843 100755
--- a/tests/utimensat-3.sh
+++ b/tests/utimensat-3.sh
@@ -1,6 +1,17 @@
#!/bin/sh
# make sure NULL filename is handled correctly
+# Note: this test is dependent on glibc internals
+# other libcs chose not to validate invalid parameters:
+# https://bugs.gentoo.org/549108#c28
+# https://www.openwall.com/lists/musl/2019/06/25/1
+# Run this test only on glibc systems.
+
+case $HOST in
+ *-linux-gnu);;
+ *) exit 77;;
+esac
+
addwrite $PWD
exec utimensat-0 -1:22 'f:O_WRONLY|O_CREAT:0666' NULL NULL 0